QGIS Application - Bug report #20931
Merging rasters replaces nodata cells with 0
2019-01-07 02:13 PM - Mathieu Paradis

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28750
Description

Similar to Bug report #15749, but in QGIS 3.4.2:

When using ther "merge" tool from the "raster" tab (Raster -> Misc -> Merge), all the cells with "nodata" are converted to 0.

History

#1 - 2019-01-07 04:48 PM - Giovanni Manghi
- Regression? changed from Yes to No
- Status changed from Open to Feedback

if any this would be a gdal bug, not a qgis one. Anyway you must ensure that the rasters you are merging have a well defined no data value (in opposition to

"not defined" as shown by qgis) otherwise the output will not be the one is expected.

#2 - 2019-01-07 06:51 PM - Mathieu Paradis

Giovanni Manghi wrote:

if any this would be a gdal bug, not a qgis one. Anyway you must ensure that the rasters you are merging have a well defined no data value (in

opposition to "not defined" as shown by qgis) otherwise the output will not be the one is expected.

Yes | agree it would be a GDAL matter. | posted it as a qgis problem since the GDAL module was integrated is the basic tool set you can find in the upper

menu bar.

Regarding the no data value, I'm getting 3,40282346639e+038 when | look into the properties of the rasters, both with QGIS and ArcGIS. | honestly

couldn't tell if this would be classified as "well defined" for | lack a bit of knowledge on the matter.

#3 - 2019-01-07 07:25 PM - Giovanni Manghi

Regarding the no data value, I'm getting 3,40282346639e+038 when | look into the properties of the rasters, both with QGIS and ArcGIS. | honestly

couldn't tell if this would be classified as "well defined" for I lack a bit of knowledge on the matter.

post your data (or sample of).
#4 - 2019-02-24 09:26 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

2025-06-14 22



